<div class="container">
  <!-- Header section -->
  <div class="row">
    <div class="col">
      <div class="display-4">{{ "navigation_user" | translate }}</div>
    </div>
  </div>
  <div class="row">
    <div class="col">
      <button type="button" class="btn btn-success float-end" routerLink="add">
        {{ "navigation_btn_add" | translate }}
      </button>
    </div>
  </div>
  <app-data-table [dataService]="service">
    <app-data-table-column name="firstname" sort="enabled">
      <ng-template let-data="data">
        <strong>{{ data }}</strong>
      </ng-template>
    </app-data-table-column>
    <app-data-table-column
      name="lastname"
      sort="enabled"
    ></app-data-table-column>
    <app-data-table-column name="email" sort="disabled"></app-data-table-column>
  </app-data-table>
</div>
